cURL
curl --request DELETE \
--url https://api.opal.dev/v1/resources/{resource_id}/users/{user_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.opal.dev/v1/resources/{resource_id}/users/{user_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.opal.dev/v1/resources/{resource_id}/users/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Removes a user’s direct access from this resource.
DELETE
/
resources
/
{resource_id}
/
users
/
{user_id}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the resource.
The ID of a user to remove from this resource.
Query Parameters
The remote ID of the access level for which this user has direct access. If omitted, the default access level remote ID value (empty string) is assumed.
Response
200
This user's access was successfully removed from this resource.
Last modified on August 13, 2026
Was this page helpful?
⌘I